# Generic template for VMware guest lib components.
# Expects the following variables to be defined:
#   LIBNAME the target library basename (target library will be "lib$(LIBNAME).a")
#   LIBSRCS list of the library source files

include ${TOOLS_COMMON}include/commondefs	## Henceforth use '$(call MINCLUDE,xyz.mk)' to add xyz.mk to dependencies [burt409124]

CDEFS += -DVMX86_TOOLS
SHAREINC_SEARCH += -I../include -I$(TOP_OD)/include

# Allow VMware sloppiness.
# Note: Can't add these to CFLAGS/CDEFS since they get overridden.
SHAREINC_SEARCH += -Wno-missing-prototypes -Wno-missing-declarations \
    -Wno-implicit-function-declaration -Wno-unused -fno-strict-aliasing \
    -Wno-pointer-sign

relinstall: $(STATIC_LIB)

$(STATIC_LIB): $(LIBOBJS)
	@echo "Building $(@) ..."
	$(ARCMD)

$(call MINCLUDE,$(COMMONRULES))
