from btool.Defines import *

# Please contact ng-bedrock-core if you need to update this file.
Component (
            name            = 'constructor@bash',
            )
Component (
    name            = 'build@bash',
    variants        = (
        'x86_64{,.pg,.gcov}',
        Config.coverity_variant,
    ),
    commands        = (
        "build.sh build NTAP_PLATFORM=$PLATFORM",
    ),
    imports         = (
        'headers@bsd_net',
        'headers@freebsd',
        'stdhdrs@freebsd',
        'stdlibs@freebsd',
        'stdlibs_compiler@freebsd',
        'btool@compiler_config',
        'btool@coverityconfig',
        'btool@brenv',
        'interface@tools',               # for non-BCM build@bash
    ),
)

Component (
    name            = 'uexe@bash',
    imports         = (
        'build@bash',
    ),
)

Component (
    name            = 'manifest@bash',
    imports         = (
        'uexe@bash',
    ),
)

Component (
    name            = 'coverity@bash',
    variants        = (
        Config.coverity_variant,
    ),
    imports         = (
        'build@bash',
        'uexe@bash',
    ),
)

Component (
    name            = 'audit_ownership@bash',
)
